Update a trigger
curl --request PATCH \
--url https://api.guild.ai/v1/triggers/{trigger_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"event_type": null,
"action": null,
"service_config": null,
"frequency": null,
"time_of_day": null,
"days_of_month": null,
"days_of_week": null,
"minutes_of_hour": null,
"cron_expression": null,
"cron_timezone": null,
"agent_input": null
}
'import requests
url = "https://api.guild.ai/v1/triggers/{trigger_id}"
payload = {
"name": None,
"event_type": None,
"action": None,
"service_config": None,
"frequency": None,
"time_of_day": None,
"days_of_month": None,
"days_of_week": None,
"minutes_of_hour": None,
"cron_expression": None,
"cron_timezone": None,
"agent_input": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: null,
event_type: null,
action: null,
service_config: null,
frequency: null,
time_of_day: null,
days_of_month: null,
days_of_week: null,
minutes_of_hour: null,
cron_expression: null,
cron_timezone: null,
agent_input: null
})
};
fetch('https://api.guild.ai/v1/triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/triggers/{trigger_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => null,
'event_type' => null,
'action' => null,
'service_config' => null,
'frequency' => null,
'time_of_day' => null,
'days_of_month' => null,
'days_of_week' => null,
'minutes_of_hour' => null,
'cron_expression' => null,
'cron_timezone' => null,
'agent_input' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/triggers/{trigger_id}"
payload := strings.NewReader("{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.guild.ai/v1/triggers/{trigger_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/triggers/{trigger_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deactivated_at": "2023-11-07T05:31:56Z",
"type": "api",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"workspace_agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default_chat_agent": true,
"should_autoupdate": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_name": "<string>",
"required_credentials_mode": "SHARED",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"agent_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validation_status": "SKIPPED",
"dependencies": {},
"description": "<string>",
"env_references": [
"<unknown>"
],
"input_schema": {},
"llm_models": [
"<unknown>"
],
"output_schema": {},
"published_at": "2023-11-07T05:31:56Z",
"publishing_started_at": "2023-11-07T05:31:56Z",
"raw_tools": [
"<unknown>"
],
"runtime_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha": "<string>",
"summary": "<string>",
"tools": [
"<unknown>"
],
"version_number": "<string>",
"agent": "<unknown>",
"author": "<unknown>",
"status": "<unknown>",
"version_type": "<unknown>"
},
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrict_account_credentials": true,
"should_restrict_members": true,
"unlimited_power_mode": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_credentials_mode": "SHARED",
"archived_by": "<unknown>",
"creator": "<unknown>",
"full_name": "<string>",
"is_viewer_member": "<unknown>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"unlimited_power_mode_enabled": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
OAuth 2.0 authorization code flow with PKCE (S256). Discovery: https://api.guild.ai/.well-known/oauth-authorization-server.
Path Parameters
Body
Fields patchable on any trigger type.
Trigger name
How often to run
HOURLY, DAILY, WEEKLY, MONTHLY, CRON HH:MM, for DAILY, WEEKLY and MONTHLY
Comma-separated day names, e.g. MONDAY,THURSDAY, for WEEKLY
Cron expression, for CRON
What the agent receives each run, e.g. {"type": "text", "text": "..."}
Response
Successful response
- Option 1
- Option 2
- Option 3
The workspace agent to run when the trigger is activated.
Human-readable label identifying the trigger within its workspace.
255The actor (a user or an account API key) that created this trigger. Null for legacy rows created before creator attribution was recorded.
If set, indicates when the trigger has been deactivated.
Trigger type discriminator
api Show child attributes
Show child attributes
Show child attributes
Show child attributes
curl --request PATCH \
--url https://api.guild.ai/v1/triggers/{trigger_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"event_type": null,
"action": null,
"service_config": null,
"frequency": null,
"time_of_day": null,
"days_of_month": null,
"days_of_week": null,
"minutes_of_hour": null,
"cron_expression": null,
"cron_timezone": null,
"agent_input": null
}
'import requests
url = "https://api.guild.ai/v1/triggers/{trigger_id}"
payload = {
"name": None,
"event_type": None,
"action": None,
"service_config": None,
"frequency": None,
"time_of_day": None,
"days_of_month": None,
"days_of_week": None,
"minutes_of_hour": None,
"cron_expression": None,
"cron_timezone": None,
"agent_input": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: null,
event_type: null,
action: null,
service_config: null,
frequency: null,
time_of_day: null,
days_of_month: null,
days_of_week: null,
minutes_of_hour: null,
cron_expression: null,
cron_timezone: null,
agent_input: null
})
};
fetch('https://api.guild.ai/v1/triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/triggers/{trigger_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => null,
'event_type' => null,
'action' => null,
'service_config' => null,
'frequency' => null,
'time_of_day' => null,
'days_of_month' => null,
'days_of_week' => null,
'minutes_of_hour' => null,
'cron_expression' => null,
'cron_timezone' => null,
'agent_input' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/triggers/{trigger_id}"
payload := strings.NewReader("{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.guild.ai/v1/triggers/{trigger_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/triggers/{trigger_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": null,\n \"event_type\": null,\n \"action\": null,\n \"service_config\": null,\n \"frequency\": null,\n \"time_of_day\": null,\n \"days_of_month\": null,\n \"days_of_week\": null,\n \"minutes_of_hour\": null,\n \"cron_expression\": null,\n \"cron_timezone\": null,\n \"agent_input\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deactivated_at": "2023-11-07T05:31:56Z",
"type": "api",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"workspace_agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_default_chat_agent": true,
"should_autoupdate": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_name": "<string>",
"required_credentials_mode": "SHARED",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
},
"agent_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validation_status": "SKIPPED",
"dependencies": {},
"description": "<string>",
"env_references": [
"<unknown>"
],
"input_schema": {},
"llm_models": [
"<unknown>"
],
"output_schema": {},
"published_at": "2023-11-07T05:31:56Z",
"publishing_started_at": "2023-11-07T05:31:56Z",
"raw_tools": [
"<unknown>"
],
"runtime_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha": "<string>",
"summary": "<string>",
"tools": [
"<unknown>"
],
"version_number": "<string>",
"agent": "<unknown>",
"author": "<unknown>",
"status": "<unknown>",
"version_type": "<unknown>"
},
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrict_account_credentials": true,
"should_restrict_members": true,
"unlimited_power_mode": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_credentials_mode": "SHARED",
"archived_by": "<unknown>",
"creator": "<unknown>",
"full_name": "<string>",
"is_viewer_member": "<unknown>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"unlimited_power_mode_enabled": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}